Inhalte

# Funktion Atn

Ermittelt den Arkustangens eines numerischen Ausdrucks. Das Ergebnis wird im Bogenmaß zurückgegeben und liegt im Bereich -(Pi/2) und +(Pi/2).

Der Arkustangens ist die Umkehrung der Tangensfunktion. Die Funktion Atn gibt den Winkel „Alpha“ zurück, ausgedrückt in Bogenmaß, wobei der Tangens dieses Winkels verwendet wird. Die Funktion kann auch den Winkel „Alpha“ zurückgeben, indem sie das Verhältnis der Länge der Seite, die dem Winkel gegenüberliegt, mit der Länge der Seite, die dem Winkel benachbart ist, in einem rechtwinkligen Dreieck vergleicht.

Atn(Seite gegenüber/neben dem Winkel)=Alpha

### Syntax:

            Atn (Zahl As Double) As Double

### Rückgabetyp:

Double

### Parameter:

Number: Ein numerischer Ausdruck, der das Verhältnis zweier Seiten eines rechtwinkligen Dreiecks darstellt. Die Funktion Atn gibt den entsprechenden Winkel im Bogenmaß aus

Zur Umrechnung von Bogenmaß in Grad muss das Bogenmaß mit 180/Pi multipliziert werden.

grad=(radiant*180)/pi

radiant=(grad*pi)/180

Pi ist die feste Kreiskonstante mit dem gerundeten Wert 3,14159. Pi ist eine Mathematische Basiskonstante.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

            ' Das folgende Beispielprogramm berechnet in einem rechtwinkligen Dreieck
            ' aus dem Tangens des Winkels Alpha den Winkel Alpha:
            Sub ExampleAtn
            ' Pi gerundet = 3.14159 ist eine vordefinierte Konstante
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Bitte geben Sie die Länge der Ankathete ein: ","Ankathete")
                d2 = InputBox("Bitte geben Sie die Länge der Gegenkathete ein: ","Gegenkathete")
                Print "Der Winkel Alpha beträgt"; (atn (d2/d1) * 180 / Pi); " Grad"
            End Sub

Verwandte Themen

Funktion Cos

Funktion Sin

Funktion Tan